export declare type UnknownRecord = Record<string, unknown>;
export declare type AnyConstructor<TObject> = new (...args: any[]) => TObject;
export declare type AnyExtenderFunction<TObject> = (object: TObject) => void;
export declare type Properties<T> = Pick<T, {
    [K in keyof T]: T[K] extends (_: any) => any ? never : K;
}[keyof T]>;
export declare type ConditionalType<Child, Parent, Truthy, Falsy> = Child extends Parent ? Truthy : Falsy;
export declare type BranchingReturn<T = any, Parent = any, Coerced = any> = ConditionalType<T, Parent, Coerced, T>;
export declare type LessFirstConstructorParameters<T extends AnyConstructor<any>, TConstructor = ConstructorParameters<T>> = TConstructor extends [infer First, ...infer Rest] ? Rest : TConstructor;
export declare type LessFirstTwoConstructorParameters<T extends AnyConstructor<any>, TConstructor = ConstructorParameters<T>> = TConstructor extends [infer First, infer Second, ...infer Rest] ? Rest : TConstructor;
